$(function(){
	//loading
	function winLoad(){
		var pageW=$(window).width();
		var pageH=$(window).height();
		$('#page').height(pageH);
		//用户中心侧栏
		var user_info_h=$('.user-sidebar .user-sidebar-info').height();
		var user_list_h=pageH-user_info_h;
		$('.user-sidebar').height(pageH).css('left',pageW).children('.user-sidebar-list').height(user_list_h);
		$('.user-mask').height(pageH);
	};
	winLoad();
	$(window).resize(function(){
		winLoad();
	});
	$('#page').css('background','none').children('#pageInner').delay(100).removeClass('hidde');
	
	//按钮效果
	$('a,button,span.abtn-red-ring,.bill-list li,.show-list li,.change-layer .layer,.pay-way-list li,.msg-list li .inner,.address-li,.icon-qq-pad').on('touchstart', function(){
		$(this).addClass('active');
	});
	$('.abtn-black-ring').on('touchstart', function(){
		$('.abtn-black-ring').removeClass('active');
		$(this).addClass('active');
	});
	$('a,button,span.abtn-red-ring,.bill-list li,.show-list li,.change-layer .layer,.pay-way-list li,.msg-list li .inner,.address-li,.icon-qq-pad').on('touchend touchmove', function(){
		$(this).removeClass('active');
	});

	//tab
	$('.ui-tab:not(.ui-tabs-filter) li').on('click', function(){
		$(this).addClass('current').siblings('li').removeClass('current');
		$('.tab-grid .tab-item:eq('+$(this).index()+')').show().siblings('.tab-item').hide();
	});
	$('.ui-tabs-filter li').on('touchstart', function(){
		var filter = parseInt($(this).attr('data-filter'));
		$(this).addClass('current').siblings('li').removeClass('current');
		if (filter == 0) {
			$('.ui-tabs-item').show();
		} else{
			$('.ui-tabs-item').hide();
			$('.ui-tabs-item[data-filter=' + filter + ']').show();
		}
	});
	$('header .tab a,.my-course-filter a').on('click', function(){
		$(this).addClass('current').siblings('a').removeClass('current');
	});
	$('.ui-tab-border li').on('touchstart', function(e){
		e.preventDefault();
		$(this).addClass('current').siblings('li').removeClass('current');
		$(location).prop('href', $(this).children('a').prop('href'));
		//$('.tab-grid .tab-item:eq('+$(this).index()+')').show().siblings('.tab-item').hide();
	});
	
	//登录
	$('.login-list .txt').on('focus', function(){
		$(this).parents('li').addClass('focus').siblings('li').removeClass('focus');
	});
	$('.login-list .txt').on('blur', function(){
		$(this).parents('li').removeClass('focus');
	});
	
	//用户选择
	$('.select-user li').not('.tit').on('touchstart', function(){
		$(this).addClass('active');
	});
	$('.select-user li').not('.tit').on('touchend', function(){
		$(this).removeClass('active');
	});
	
	//search
	$('.ui-search .txt,.form-list li .txt').on('keyup focus', function(){
		if($(this).val()){
			$(this).parent('.dd').siblings('.icon-empty').show();
		};
	});
	$(document).on('click',function(event){
		var eo=$(event.target);
		if($('.ui-search .icon-empty,.form-list li .icon-empty').is(':visible') && !eo.parent('div').hasClass('dd'))
		$('.ui-search .icon-empty,.form-list li .icon-empty').hide();  
	});
	$('.ui-search .icon-empty,.form-list li .icon-empty').on('click', function(){
		$(this).siblings('.dd').children('.txt').val('');
	});
	$('.ui-search .icon-search').on('click', function(){
		$('.show-list-wrap').hide().siblings('.search-list-wrap').show();
	});
	$('.show-list li.empty').on('click', function(){
		$(this).parent('.show-list').find('li:not(".tt,.empty")').remove();
	});
	$('.search-recorder .icon-clear').on('click', function(){
		$(this).parents('.search-recorder').find('li:not(".tt")').remove();
	});
	
	//radio
	$('.ui-radio').not('.ui-radio-toggle').on('click',function(){
		var name=$(this).attr('data-name');
		$('body').find('.ui-radio[data-name='+name+']').removeClass('ui-radio-current');
		$(this).addClass('ui-radio-current');
	});
	$('.ui-radio-label').on('click',function(){
		$(this).siblings('.ui-radio').trigger('click');
	});
	
	//密码可视非可视
	$('.icon-eye').on('click',function(){
		if($(this).hasClass('icon-eye-close')){
			$(this).addClass('icon-eye-open').removeClass('icon-eye-close').siblings('.dd').find('input:password').attr('type','text');
		}else{
			$(this).addClass('icon-eye-close').removeClass('icon-eye-open').siblings('.dd').find('input:text').attr('type','password');
		};
	});
	
	//app下载
	$('.app-down .close').on('click',function(){
		$(this).parent('.app-down').hide();
	});
	//打开用户中心侧栏
	$('#openUserCenter').on('click',function(){
		$('#UserCenter').show();
		var all_w=$(window).width();
		var user_w=$('.user-sidebar .user-sidebar-info').outerWidth();
		var user_left=all_w-user_w;
		$('.user-sidebar').stop(true,true).animate({left:user_left},300);
	});
	$('.user-mask,.user-sidebar-list li').on('click',function(){
		var all_w=$(window).width();
		$('.user-sidebar').stop(true,true).animate({left:all_w},300).delay(300,function(){
			$(this).parent('#UserCenter').hide()
		});
	});
	
	//选课中心
	$('.course-detail .open').on('click',function(){
		if(!$(this).hasClass('close')){
			$(this).siblings('.inner').addClass('inner-all');
			$(this).addClass('close').find('.txt').text('收起');
		}else{
			$(this).siblings('.inner').removeClass('inner-all');
			$(this).removeClass('close').find('.txt').text('展开');
		};
	});
	
	//我的课程
	$('.change-id').on('click',function(){
		$('.change-layer').fadeIn(100);
	});
	$('.change-layer').on('click',function(e){
		$('.change-layer').fadeOut(100);
	});
	$('.change-layer .layer').on('click',function(){
		var $id=$('.change-id').find('.rank');
		var $layer=$('.change-layer').find('.rank');
		var id_txt=$id.text();
		var layer_txt=$layer.text();
		$('.change-layer').fadeOut(100);
		$id.text(layer_txt);
		$layer.text(id_txt);
	});
	$('.change-layer-tips a').on('click',function(){
		$('.change-layer-tips').hide();
	});
	
	//购买流程
	$('.course-order').not('.course-order-my').find('.sub .tt').on('click',function(){
		$(this).parent('.sub').toggleClass('sub-open');
	});
	$('.pay-way-list li').on('click',function(){
		$(this).addClass('current').siblings('li').removeClass('current');
	});
	
	//绑定
	$('.bind-list li .icon-empty').on('click',function(){
		$(this).parent('li').remove();
	});
	
	//学习详情
	var zIndex=995;
	$('.study-line-item').each(function(){
		$(this).css('z-index',zIndex);
		zIndex--;
    });
	$('.study-line-item li.has').on('click',function(){
		$(this).toggleClass('layer-open');
	});
	$(document).on('click',function(event){
		var eo=$(event.target);
		if($('.study-line-item li.has .layer').is(':visible') && !eo.hasClass('has') && !eo.parent('li').hasClass('has') && !eo.parents('li').hasClass('has'))
		$('.study-line-item li.has').removeClass('layer-open');  
	});
	
	//20160719 我的课程选中
	$('.my-course li').click(function(){
		$(this).addClass('current').siblings('li').removeClass('current');
	});
	$('.time-line-body').each(function(){
		$(this).find('table tr:last').addClass('last');
	});
	
	//20170519 6.3.3
	$('.header-filter p:not(.sort)').click(function(){
		$(this).addClass('current').siblings('p').removeClass('current');
		var pIndex=$(this).index();
		var $outer=$('.header-filter-outer');
		var $inner=$('.header-filter-inner');
		var $li=$('.header-filter-inner ul:not(.js-no) li');
		var $liTier1=$('.header-filter-inner ul.js-tier1 li');
		var $liTier2=$('.header-filter-inner ul.js-tier2 li');
		var $liSort=$('.header-filter-inner ul.js-sort li');
		$outer.show();
		$inner.children('*:eq('+pIndex+')').show().siblings('*').hide();
		$li.click(function(){
			var txt=$(this).text();
			var liIndex=$(this).parent('ul').index();
			$(this).addClass('current').siblings('li').removeClass('current');
			$outer.hide();
			$('.header-filter p:eq('+liIndex+')').children('span').text(txt);
			$('.header-filter p').removeClass('current');
		});
		$liTier1.click(function(){
			var tier1=$(this).text();
			$(this).addClass('current').siblings('li').removeClass('current');
			$('.js-selClass').attr('data-tier1',tier1);
		});
		$liTier2.click(function(){
			var tier1=$('.js-selClass').attr('data-tier1');
			var tier2=$(this).text();
			var txt=tier1+tier2;
			$(this).addClass('current').siblings('li').removeClass('current');
			$outer.hide();
			$('.header-filter p.js-selClass').children('span').text(txt);
			$('.header-filter p').removeClass('current');
		});
		$liSort.click(function(){
			var txt=$(this).children('.num').text();
			var liIndex=$(this).parent('ul').index();
			$(this).addClass('current').siblings('li').removeClass('current');
			$outer.hide();
			$('.header-filter p:eq('+liIndex+')').children('span').text('课次'+txt);
			$('.header-filter p').removeClass('current');
		});
	});
	$('.header-filter-bg').click(function(){
		$('.header-filter p').removeClass('current');
	});
	$('.header-filter-radio span').click(function(e){
		e.preventDefault();
		$(this).toggleClass('current').siblings('span').removeClass('current');
	});
	$('.header-filter p.sort').click(function(){
		$('.header-filter-outer').hide();
		if ($(this).hasClass('asc')) {
			$(this).removeClass('asc');
			$('.table-list-even').hide();
		} else{
			$(this).addClass('asc');
			$('.table-list-even').show();
		};
	});
	
	//评分
	$('.ui-rating span').on('touchstart',function(e){
		e.preventDefault();
		var myIndex = $(this).index();
		$(this).parent('.ui-rating').children('span').removeClass('current');
		$(this).addClass('current').siblings('span:lt('+myIndex+')').addClass('current');
	});
});

//20170519 6.3.3
function closeFilter(){
	document.getElementById('headerFilter').style.display='none';
};
function closeSubject(){
	document.getElementById('headerSubject').style.display='none';
};

//20170609 6.3.4
function formcount(obj,count){
	//obj：需要计算的对象；count：最大字符数
	//初始化
	$('.form-count').text(count);
	var $num=$('.form-count-wrap').find('.form-num');
	//计算字符
	$(obj).bind('focus keydown keyup',function(){
		var num=$(obj).val().length; 
		if(num>count){
			var moreCount=parseInt(num-count);
			$num.css('color','#f00').text('超过'+moreCount);
		}else{
			$num.removeAttr('style').text(num);
		};
	});
};

//20170821 6.4
//练习详情
$('.practice-item-more a').click(function(e){
	e.preventDefault();
	var $item = $(this).parents('.practice-item'); 
	if ($item.hasClass('practice-item-open')) {
		$item.removeClass('practice-item-open');
		$item.find('.practice-item-grid').hide();
		$(this).children('span').text('查看详情');
	} else{
		$item.addClass('practice-item-open')
		$item.find('.practice-item-grid').show();
		$(this).children('span').text('收起');
	};
});
//侧面选项卡
function sidebarTabControl(){
	var $group = $('.ui-tab-group');
	var $sidbar = $('.ui-tab-sidebar');
	var $content = $('.ui-tab-content');
	var window_h = $(window).height();
	var group_t = $group.offset().top;
	//var group_t = $('.tab-item').offset().top;
	var group_h = window_h - group_t;
	$group.height(group_h);
	$sidbar.height(group_h).children('ul').height(group_h);
	$content.height(group_h);
};
$('.ui-tab-sidebar ul li').on('click', function(){
	$(this).addClass('current').siblings('li').removeClass('current');
	$('.ui-tab-content ul:eq('+$(this).index()+')').show().siblings('ul').hide();
});
$('.ui-tab-content ul:not(.js-tier2) li').on('click', function(){
	if ($(this).hasClass('chk-all')) {
		$(this).parent('ul').children('li').addClass('current');
	} else{
		$(this).toggleClass('current');
		var allLen = $(this).parent('ul').children('li').length - 1;
		var curLen = $(this).parent('ul').children('li:not(.chk-all).current').length;
		if (allLen == curLen) {
			$(this).siblings('.chk-all').addClass('current');
		} else{
			$(this).siblings('.chk-all').removeClass('current');
		};
	}
});


//20171106 6.4.1
//环形进度条
$('.annular').each(function() {
	var possess = parseInt($(this).data('possess'));
    var total = parseInt($(this).data('total'));
    if(possess > total){possess = total;};
    var num = (possess / total) * 360;
    if(num <= 180) {
        $(this).find('.annular-right').css('transform', "rotate(" + (num + 180) + "deg)");
        $(this).find('.annular-left').hide();
    } else {
        $(this).find('.annular-left').css('transform', "rotate(" + num + "deg)");
    };
});


//20171106 6.4.2
$('.grade-layer-list a').click(function(){
	var txt = $(this).text();
	$('.grade-layer').hide();
	$('.ui-layer-mask').remove();
	$('.show-filter-txt').text(txt);
});

//20180105 6.4.3
$('.ui-grade-group .ui-grade').click(function(){
	$(this).addClass('current').siblings('.ui-grade').removeClass('current');
});

//20180228 6.4.4
$(function(){
	//选择地区、学科
	var $selSubject = $('.js-selSubject');
	var $subject = $('.header-filter-outer-subject');
	var $subjectItem = $subject.find('.header-filter-subject span');
	var $selArea = $('.js-selArea');
	var $selAreaBtn = $('.js-selAreaBtn');
	var $area = $('.header-filter-outer-area');
	var $offset = $('.offset-from');
	$selAreaBtn.on('touchstart',function(){
		$selArea.trigger('click');
	});
	if ($offset.length) {
		$area.css('top',$offset.offset().top);
		$subject.css('top',$offset.offset().top);
	};
	//打开学科层
	$selSubject.on('touchstart',function(){
		$selSubject.addClass('open');
		$subject.show();
		$selArea.removeClass('open');
		$area.hide();
	});
	//打开地区层
	$selArea.on('touchstart',function(){
		$selSubject.removeClass('open');
		$subject.hide();
		$selArea.addClass('open');
		$area.show();
		$('.ui-tab-sidebar ul').height($('.ui-tab-group').height());
	});
	//选择学科
	$subjectItem.on('touchstart',function(e){
		e.preventDefault();
		$(this).addClass('current').siblings('span').removeClass('current');
		$subject.hide();
		$selSubject.removeClass('open').children('.subject').text($(this).text());
	});
	//选择地区：一级选择了“全部”
	$('.ui-tab-sidebar li').click(function(){
		$('.ui-tab-sidebar ul').height($('.ui-tab-group').height());
		if ($(this).text() == '全部') {
			$selArea.removeClass('open').children('.area').text('全部地区');
			$area.hide();
		};
	});
	//选择地区：二级
	$('.js-tier2 li').click(function(){
		$area.hide();
		var txt = '';
		$('.js-tier2 li').removeClass('current');
		$(this).addClass('current');
		if ($(this).text() == '全部') {
			txt = $(this).parent('ul').data('tier1');
		} else{
			//省+地区：我的网校、好课推荐里可能放不下
			//txt = $(this).parent('ul').data('tier1') + $(this).text();
			txt = $(this).text();
		};
		$selArea.removeClass('open').children('.area').text(txt);
	});
	//关闭层
	$('.header-filter-bg,.course-header-tab li.js-tab').click(function(){
		$selSubject.removeClass('open');
		$selArea.removeClass('open');
	});
	//筛选直播、点播
	$('.course-header-tab li.js-tab').on('touchstart',function(){
		var type = $(this).data('type');
		$(this).addClass('open').siblings('li').removeClass('open');
		$('.course-item').hide();
		$('.course-item[data-type=' + type + ']').show();
		$subject.hide();
		$area.hide();
	});
	$('.course-item-user .cut-show').on('touchstart',function(){
		var $span = $(this).children('span');
		$(this).parents('.course-item-user').toggleClass('open');
		if ($span.text() == '全部') {
			$span.text('收起');
		} else{
			$span.text('全部');
		};
	});
});

//20180315 6.4.5
$(function(){
	//div 模拟textarea
	if ($('.filter-item-area').length != 0) {
		$('.filter-item-area').each(function(){
			var placeholder = $(this).data('placeholder');
			var txt = $(this).text();
			if (!txt) {
				$(this).text(placeholder).addClass('c-aaa');
			} else{
				$(this).removeClass('c-aaa');
			}
			
			$(this).focus(function(){
				$(this).removeClass('c-aaa');
				if ($(this).text() == placeholder) {
					$(this).text('');
				}
			});
			$(this).blur(function(){
				if ($(this).text() == placeholder) {
					$(this).text(placeholder).addClass('c-aaa');
				}
			});
		});
	}
	
	//显示筛选信息
	$('.js-filter').on('touchstart',function(e){
		var $filterLayer = $('.header-filter-outer');
		var filterTop = $('#container').offset().top + 1;
		$filterLayer.show().css('top',filterTop);
	});
	//筛选
	$('.filter-item-list').on('touchstart','span',function(){
		if (!$(this).hasClass('add-new')) {
			if ($(this).parent('.filter-item-list').hasClass('checkbox')) {
				//多选
				if ($(this).hasClass('js-all')) {
					//全选
					if (!$(this).hasClass('current')) {
						$(this).addClass('current').siblings('span').removeClass('current');
					}
				} else{
					$(this).toggleClass('current');
					var $this = $(this).parent('.filter-item-list');
					var thisAllLen = $this.find('span').not('.js-all').length;
					var thisCurLen = $this.find('span.current').not('.js-all').length;
					if (thisAllLen == thisCurLen) {
						//$this.find('span.js-all').addClass('current');
					} else{
						$this.find('span.js-all').removeClass('current');
					}
				}
			} else{
				//单选
				$(this).addClass('current').siblings('span').removeClass('current');
			};
		};
	});
	//重置
	$('.header-filter-footer .js-reset').on('touchstart',function(){
		$('.filter-item-list span').removeClass('current');
		$('.filter-item-list span.default').addClass('current');
	});
	//确定
	$('.header-filter-footer .js-submit').on('touchstart',function(){
		$('.header-filter-outer').hide();
	});
});